Query a specific payment profile

This endpoint allows to query a payment profile associated with a specific customer, using both IDs. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v1/customers/{customer_id}/payment-profiles/{payment_profile_id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
customer_id
string

REQUIRED

Unique customer identifier for which the payment profile is being queried. It can be obtained by sending a request to the "Search clients" endpoint.
payment_profile_id
string

REQUIRED

Unique payment profile identifier, associated with the customer.
Response parameters
id
string
Unique identifier of the payment profile.
created_date
string
Creation date of the payment profile, in "yyyy-MM-ddTHH:mm:ss.sssZ" format.
last_updated_date
string
Last update date of the payment profile, in "yyyy-MM-ddTHH:mm:ss.sssZ" format.
description
string
Description of the customer's payment profile, that will be used to facilitate the identification of the nature of the charges linked to this profile within the integrator or seller's management ecosystem.
Errors

400Error

customer_id_mismatch

Request failed because the "customer_id" sent does not match the payment profile. Verify if the correct value was sent and try again.

caller_id_mismatch

Request failed because the "caller_id" sent does not match the payment profile. Verify if the correct value was sent and try again.

site_id_mismatch

Request failed because the "site_id" does not match the payment profile. Verify if the correct value was sent and try again.

unknown_error_occurred

Unknown error. Contact Support for more information.

401Error

header_missing

Request failed because a required header is missing. Make sure that all necessary authentication headers are being sent.

Unauthorized Access Token

The value sent as Access Token is incorrect. Please check and try again with the correct value.

404Error

resource_not_found

Request failed because the payment profile was not found. Verify that the payment profile ID, customer ID and caller ID are correct.

429Error

Too Many Requests

Request failed because the request rate has been exceeded. Reduce the frequency or implement a retry system with exponential backoff.

500Error

internal_server_error

Request failed due to an internal server error. Please try again later and, if the problem persists, contact Support with error details.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/customers/{customer_id}/payment-profiles/{payment_profile_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-4*********994754-12*********c73b4e1ac*********cef36b27c*********840' \
    
Response
{
  "id": "7036b192b541454fa9b9990660dfa1b5",
  "created_date": "2024-05-22T14:03:28.653Z",
  "last_updated_date": "2024-05-22T14:03:28.653Z",
  "description": "Payment description",
  "max_day_overdue": 5,
  "statement_descriptor": "Test Descriptor",
  "status": "READY",
  "sequence_control": "AUTO",
  "payment_methods": [
    {
      "payment_method_id": "64abf0f5-3e15-48a5-9be0-a8ac56bbd87a",
      "id": "visa",
      "type": "credit_card",
      "card_id": 1234567890,
      "status": "READY",
      "default_method": true
    }
  ]
}